Bug 525389 - Review Request: madwimax - Driver for mobile WiMAX devices based on Samsung CMC-730 chip
Review Request: madwimax - Driver for mobile WiMAX devices based on Samsung C...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2009-09-24 03:55 EDT by Alexey Torkhov
Modified: 2009-10-13 21:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.1.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-13 21:46:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2009-09-24 03:55:53 EDT
Spec URL: http://atorkhov.fedorapeople.org/madwimax.spec
SRPM URL: http://atorkhov.fedorapeople.org/madwimax-0.1.1-1.local12.src.rpm
Description:
madWiMAX is a reverse-engineered Linux driver for mobile WiMAX (802.16e)
devices based on Samsung CMC-730 chip. These devices are currently supported:

    * Samsung SWC-U200
    * Samsung SWC-E100
    * Samsung SWM-S10R (built in Samsung NC-10 netbook)

Note that is not kernel module, but rather user-space daemon.

Koji builds:
F-11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1700668
F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1700717

Rpmlint output:
madwimax.x86_64: W: non-conffile-in-etc /etc/udev/rules.d/z60_madwimax.rules
- this is a script

3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Peter Lemenkov 2009-09-24 06:22:02 EDT
I'll review it.
Comment 2 Peter Lemenkov 2009-09-25 03:30:01 EDT
Ok, continuing with review.

Since all data was collected by the way, similar to one, used by folks from nouveau project (exploring data dumps, w/o reverse engineering binary driver blobs from manufacturer), I don't think that there are legal issues. However, just to be sure, I'm raising FE-LEGAL flag here.
Comment 3 Peter Lemenkov 2009-09-25 03:44:55 EDT
Assuming, that FE-LEGAL probably will be unblocked, here is my

REVIEW:

    *  rpmlint is not silent.

[petro@Sulaco ~]$ rpmlint ~/fuse/sshfs/work/Desktop/madwimax-0.1.1-1.fc11.ppc.rpm 
madwimax.ppc: E: summary-too-long User-space driver for mobile WiMAX (802.16e) devices based on Samsung CMC-730 chip
madwimax.ppc: E: description-line-too-long madWiMAX is a reverse-engineered Linux driver for mobile WiMAX (802.16e) devices based on Samsung CMC-730 chip. These devices are currently supported:
madwimax.ppc: W: non-conffile-in-etc /etc/udev/rules.d/z60_madwimax.rules
1 packages and 0 specfiles checked; 2 errors, 1 warnings.
[petro@Sulaco ~]$

Please, shorten these lines.

+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec .
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file must match the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum madwimax-0.1.1.tar.gz*
17ac297934654663586df837dcff2bd6d3bbabddd76efdffa26713b07e08ad5f  madwimax-0.1.1.tar.gz
17ac297934654663586df837dcff2bd6d3bbabddd76efdffa26713b07e08ad5f  madwimax-0.1.1.tar.gz.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji logs above.
+ All build dependencies are listed in BuildRequires.
+ The packages does NOT contain copies of system libraries.
+ The package owns all directories that it creates.
+ the package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code or permissible content.
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [26]
+ All filenames in rpm packages are valid UTF-8.

Ok, let's wait for the reaction from the Legal Team.
Comment 4 Tom "spot" Callaway 2009-10-06 10:44:00 EDT
Lifting FE-Legal, this seems to be acceptable.
Comment 5 Peter Lemenkov 2009-10-06 10:48:42 EDT
Thanks, Tom.

This package is APPROVED
Comment 6 Alexey Torkhov 2009-10-06 10:50:39 EDT
Thanks.

New Package CVS Request
=======================
Package Name: madwimax
Short Description: Driver for mobile WiMAX devices based on Samsung CMC-730 chip
Owners: atorkhov
Branches: F-11 F-12
InitialCC:
Comment 7 Alexey Torkhov 2009-10-06 10:52:36 EDT
> Please, shorten these lines.

Yes, and will do this before importing.
Comment 8 Kevin Fenzi 2009-10-06 13:29:18 EDT
cvs done.
Comment 9 Fedora Update System 2009-10-08 18:57:48 EDT
madwimax-0.1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/madwimax-0.1.1-2.fc11
Comment 10 Fedora Update System 2009-10-08 18:58:51 EDT
madwimax-0.1.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/madwimax-0.1.1-2.fc12
Comment 11 Fedora Update System 2009-10-13 21:46:05 EDT
madwimax-0.1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.